LOCAL_PATH=$HOME/usr/local
PYTHON3LIB=$(python3-config --configdir)
if [[ ! -e $LOCAL_PATH ]]; then
    mkdir -p $LOCAL_PATH
fi

cd /tmp
wget http://ftp.gnu.org/pub/gnu/ncurses/ncurses-6.2.tar.gz
tar xzvf ncurses-6.2.tar.gz
cd ncurses-6.2
./configure --prefix=$LOCAL_PATH
make
make install

cd /tmp
git clone https://github.com/vim/vim.git
cd vim
LDFLAGS=-L$LOCAL_PATH/lib ./configure --prefix=$LOCAL_PATH \
                            --enable-python3interp=yes \
                            --with-python3-command=$(echo $PYTHON3LIB | awk -F\/ '{printf("%s\n", $4)}') \
                            --with-python3-config-dir=$PYTHON3LIB

make
make install

